Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1206 (assigned defect)

Opened 15 years ago

Last modified 13 years ago

Hardware Support: AR5005G - Acer Travelmate 2310

Reported by: jpritikin@pobox.com Assigned to: mrenzmann (accepted)
Priority: minor Milestone:
Component: madwifi: HAL Version: v0.9.3
Keywords: Cc:
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

Original report:

http://article.gmane.org/gmane.linux.drivers.madwifi.user/12343

Something funny going on. On Windows XP, the generic driver doesn't work but the Acer driver works:

http://article.gmane.org/gmane.linux.drivers.madwifi.user/12351

OpenHAL does a little better but fails to send or receive any packets:

http://article.gmane.org/gmane.linux.drivers.madwifi.user/12367

Attachments

debrand.c (7.4 kB) - added by proski on 03/28/07 23:25:43.
Program to remove non-atheros subsystem ID (not working on AR5005G)
dm (20.4 kB) - added by jpritikin@pobox.com on 05/27/07 17:52:17.
dmesg output (plain text)

Change History

03/20/07 10:45:36 changed by mrenzmann

  • version changed from trunk to v0.9.3.
  • description changed.

03/20/07 10:48:25 changed by mrenzmann

On Windows XP, the generic driver doesn't work but the Acer driver works:

Just to mention it here, too: I have a Travelmate 2483 with AR5005G based card from Acer. This card works with non-Acer drivers under WinXP. This might vitiate the Pavels assumption that Acer did some fancy modifications to prevent users from using other drivers than those of Acer for the card.

03/20/07 10:48:44 changed by mrenzmann

  • status changed from new to assigned.
  • owner set to mrenzmann.

03/28/07 00:12:26 changed by proski

We have a report that says that the latest HAL doesn't work, but openhal does: http://article.gmane.org/gmane.linux.drivers.madwifi.user/12404

I don't think we can overrule HAL from the driver, but we can fool it by flashing a different ID. It would be akin to the remove01c9.c utility, which changes the device class from 0x200 (ethernet) to 0x280 (other) to pacify some IBM laptops.

Here's my PCMCIA Belkin card, also AR5005G:

# lspci -vnx -s 06:00.0
06:00.0 0200: 168c:001a (rev 01)
        Subsystem: 1799:701d
        Flags: bus master, medium devsel, latency 168, IRQ 19
        Memory at 54000000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
00: 8c 16 1a 00 06 00 90 02 01 00 00 02 20 a8 00 00
10: 00 00 00 54 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 01 50 00 00 99 17 1d 70
30: 00 00 00 00 44 00 00 00 00 00 00 00 13 01 0a 1c

And that's the EEPROM dump:

eeprom[0] = 0x001a
eeprom[1] = 0x168c
eeprom[2] = 0x0200
eeprom[3] = 0x0001
eeprom[4] = 0x0000
eeprom[5] = 0x5001
eeprom[6] = 0x0000
eeprom[7] = 0x701d
eeprom[8] = 0x1799
eeprom[9] = 0x1c0a
eeprom[10] = 0x0100
eeprom[11] = 0x0000
eeprom[12] = 0x01c2
eeprom[13] = 0x0002
eeprom[14] = 0xc606
eeprom[15] = 0x0001

So the 8th word is subsystem vendor ID and the 7th word is subsystem ID. Make it 1799:701d, and it would likely work.

I could modify remove01c9 to do it, but I would hate to answer any questions about it, especially if any card stops working permanently.

03/28/07 23:24:39 changed by proski

madwifi-old-openhal has problems even with AR5005G cards that are not Acer-branded. It's a separate issue. I guess AR5005G needs different initialization data that could be gleaned on PowerPC or another platform with indirect register access.

I have written a program that duplicates the vendor/device ID to the subsystem vendor/device ID, thus making the card "pure Atheros". Too bad, it seems to work on anything but AR5005G. It appears that AR5005G has the same EEPROM layout, but writing EEPROM doesn't work. That's a hard problem, since the official HAL is unlikely to write EEPROM. There is some disabled code for EEPROM writing in openhal, and it could be enabled, but I don't have much trust in it.

For what it's worth, I'm attaching my program. Maybe it will help somebody, at least as a starting point. I don't have cards to waste, so I don't want to try enabling commented out lines and other dangerous things.

03/28/07 23:25:43 changed by proski

  • attachment debrand.c added.

Program to remove non-atheros subsystem ID (not working on AR5005G)

03/28/07 23:33:08 changed by strasak@bubakov.net

If you need HW to play with it - even to do nasty / non-recoverable things to it - and it will help openhal development, feel free to contact me , we are ready to donate HW or whatever is needed to help with development of madwifi as a whole and especially with this most FREE part of it

03/29/07 08:39:41 changed by jpritikin@pobox.com

I have a little bit more information. c_ian_johnson@msn.com has a Acer Aspire 5044WLMi which is from the 5040 family. Ian compared wifi driver for the 5040 and the 2310. He found "The driver (ar5211.sys) is exactly the same but the inf file, net5211.inf, appears to be very slightly different."

As an experiment, I installed the 5040 family driver on my Travelmate 2310. They didn't quite work. The wireless interface would alternate between connected and disconnected. Then I uninstalled the 5040 driver and reinstalled the working 2310 driver but found the same behavior (alternating between connected and disconnected state). So it seems like the 5040 driver sets some register which the 2310 driver leaves alone. Rebooting didn't fix the problem.

04/13/07 11:25:33 changed by jpritikin@pobox.com

I am sorry to say that my previous comment was rushed and incomplete. I have since tried ndiswrapper 1.41 with Linux 2.6.20.6 and found that it works fine.

Unfortunately, Windows XP seems to have suffered from installing and uninstalling the atheros driver one too many times and now refuses to show the network connection screen. In other words, my Windows XP install got trashed and the problems I mentioned in my previous comment were probably an early symptom of that.

04/13/07 11:38:51 changed by jpritikin@pobox.com

With respect to debrand, how do I find out the physical_address_base?

# lspci -vnx -s 00:0b.0 00:0b.0 0200: 168c:001a (rev 01)

Subsystem: 1468:0418 Flags: bus master, fast Back2Back, medium devsel, latency 128, IRQ 22 Memory at e2010000 (32-bit, non-prefetchable) [size=64K] Capabilities: [44] Power Management version 2

00: 8c 16 1a 00 46 03 90 02 01 00 00 02 04 80 00 00 10: 00 00 01 e2 00 00 00 00 00 00 00 00 00 00 00 00 20: 00 00 00 00 00 00 00 00 01 50 00 00 68 14 18 04 30: 00 00 00 00 44 00 00 00 00 00 00 00 03 01 0a 1c

(follow-up: ↓ 13 ) 04/13/07 12:35:31 changed by jpritikin@pobox.com

OK, I think the physical_address_base is provided by ifconfig. I tried debrand:

# ./debrand e2010000
using 0xe2010000 as memory base address
Found device 168c:001a 1468:0418
Reprogramming ID to 168c:001a 168c:001a

Hrm, what does this mean? Is my device already debranded?

04/24/07 09:32:13 changed by mrenzmann

#1191 has been closed as a duplicate of this ticket.

04/24/07 09:38:17 changed by mrenzmann

I finally came around to installing Kubuntu 7.04 (Feisty Fawn) on my Acer TravelMate? 2483. Although I have not found too much time to perform some detailed tests, the Acer AR5005G-based card is recognized by Feisty out of the box. However, it seems that recognition does NOT work when I worked on WinXP (via WLAN), perform a warm boot and fire up Kubuntu. This is not yet 100% verified, but I've seen a "HAL error 13" two times in such a situation, and the error went away after a cold boot into Linux.

I had no time yet to test scanning, association and so on. I hope I will be able to do that later this week and will post my results here.

(in reply to: ↑ 10 ) 04/24/07 09:40:27 changed by mrenzmann

Replying to jpritikin@pobox.com:

{{{ ... Found device 168c:001a 1468:0418 Reprogramming ID to 168c:001a 168c:001a }}} Hrm, what does this mean? Is my device already debranded?

debrand changed the subsystem vendor/ID from 1468:0418 to 16bc:001a, so yes, it seems that your card now is debranded as intended.

(follow-up: ↓ 15 ) 04/24/07 11:13:35 changed by jpritikin@pobox.com

With respect to mrenzmann's comment on 24 Apr, I never allowed debrand to actually attempt to reprogram my card. What it sounds like is that my card was already debranded and that debrand would have no effect if run.

(in reply to: ↑ 14 ; follow-up: ↓ 16 ) 04/24/07 11:15:18 changed by anonymous

Replying to jpritikin@pobox.com:

With respect to mrenzmann's comment on 24 Apr, I never allowed debrand to actually attempt to reprogram my card. What it sounds like is that my card was already debranded and that debrand would have no effect if run.

No, sorry, I am confused. I did not attempt to debrand my card yet.

(in reply to: ↑ 15 ) 04/24/07 11:20:08 changed by mrenzmann

Replying to anonymous:

No, sorry, I am confused. I did not attempt to debrand my card yet.

Well, by looking at the source it seems that debrand asks you whether it should apply the changes it told you about some lines before that question. If you declined that, then debrand of course did not modify your card's EEPROM.

05/02/07 12:36:50 changed by runar@mopo.no

I can't get my card working (Jensen Air:Link AL7354) with this chipset.

This card was working before the weekend, then I selected "manual configuration" from the NetworkManager applet and it stopped working at all.

$ lspci -vnx -s 03:08.0
03:08.0 0200: 168c:001a (rev 01)
        Subsystem: 168c:1052
        Flags: medium devsel, IRQ 20
        Memory at eebf0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: <access denied>
00: 8c 16 1a 00 12 01 90 02 01 00 00 02 10 a8 00 00
10: 00 00 bf ee 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 01 50 00 00 8c 16 52 10
30: 00 00 00 00 44 00 00 00 00 00 00 00 0b 01 0a 1c

My dmesg:

[    0.000000] Linux version 2.6.20-15-generic (root@palmer) (gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)) #2 SMP Sun Apr 15 07:36:31 UTC 2007 (Ubuntu 2.6.20-15.27-generic)
[    0.000000] BIOS-provided physical RAM map:
[    0.000000] sanitize start
[    0.000000] sanitize end
[    0.000000] copy_e820_map() start: 0000000000000000 size: 000000000009fc00 end: 000000000009fc00 type: 1
[    0.000000] copy_e820_map() type is E820_RAM
[    0.000000] copy_e820_map() start: 000000000009fc00 size: 0000000000000400 end: 00000000000a0000 type: 2
[    0.000000] copy_e820_map() start: 00000000000e8000 size: 0000000000018000 end: 0000000000100000 type: 2
[    0.000000] copy_e820_map() start: 0000000000100000 size: 000000003beb0000 end: 000000003bfb0000 type: 1
[    0.000000] copy_e820_map() type is E820_RAM
[    0.000000] copy_e820_map() start: 000000003bfb0000 size: 0000000000010000 end: 000000003bfc0000 type: 3
[    0.000000] copy_e820_map() start: 000000003bfc0000 size: 0000000000030000 end: 000000003bff0000 type: 4
[    0.000000] copy_e820_map() start: 000000003bff0000 size: 0000000000010000 end: 000000003c000000 type: 2
[    0.000000] copy_e820_map() start: 00000000fec00000 size: 0000000000001000 end: 00000000fec01000 type: 2
[    0.000000] copy_e820_map() start: 00000000fee00000 size: 0000000000100000 end: 00000000fef00000 type: 2
[    0.000000] copy_e820_map() start: 00000000ff000000 size: 0000000001000000 end: 0000000100000000 type: 2
[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
[    0.000000]  BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
[    0.000000]  BIOS-e820: 00000000000e8000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 000000003bfb0000 (usable)
[    0.000000]  BIOS-e820: 000000003bfb0000 - 000000003bfc0000 (ACPI data)
[    0.000000]  BIOS-e820: 000000003bfc0000 - 000000003bff0000 (ACPI NVS)
[    0.000000]  BIOS-e820: 000000003bff0000 - 000000003c000000 (reserved)
[    0.000000]  BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
[    0.000000]  BIOS-e820: 00000000fee00000 - 00000000fef00000 (reserved)
[    0.000000]  BIOS-e820: 00000000ff000000 - 0000000100000000 (reserved)
[    0.000000] 63MB HIGHMEM available.
[    0.000000] 896MB LOWMEM available.
[    0.000000] found SMP MP-table at 000ff780
[    0.000000] Entering add_active_range(0, 0, 245680) 0 entries of 256 used
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA             0 ->     4096
[    0.000000]   Normal       4096 ->   229376
[    0.000000]   HighMem    229376 ->   245680
[    0.000000] early_node_map[1] active PFN ranges
[    0.000000]     0:        0 ->   245680
[    0.000000] On node 0 totalpages: 245680
[    0.000000]   DMA zone: 32 pages used for memmap
[    0.000000]   DMA zone: 0 pages reserved
[    0.000000]   DMA zone: 4064 pages, LIFO batch:0
[    0.000000]   Normal zone: 1760 pages used for memmap
[    0.000000]   Normal zone: 223520 pages, LIFO batch:31
[    0.000000]   HighMem zone: 127 pages used for memmap
[    0.000000]   HighMem zone: 16177 pages, LIFO batch:3
[    0.000000] DMI present.
[    0.000000] ACPI: RSDP (v000 ACPIAM                                ) @ 0x000fa1b0
[    0.000000] ACPI: RSDT (v001 A M I  OEMRSDT  0x07000610 MSFT 0x00000097) @ 0x3bfb0000
[    0.000000] ACPI: FADT (v002 A M I  OEMFACP  0x07000610 MSFT 0x00000097) @ 0x3bfb0200
[    0.000000] ACPI: MADT (v001 A M I  OEMAPIC  0x07000610 MSFT 0x00000097) @ 0x3bfb0390
[    0.000000] ACPI: MCFG (v001 A M I  OEMMCFG  0x07000610 MSFT 0x00000097) @ 0x3bfb0400
[    0.000000] ACPI: OEMB (v001 A M I  AMI_OEM  0x07000610 MSFT 0x00000097) @ 0x3bfc0040
[    0.000000] ACPI: DSDT (v001  ALNF4 ALNF4008 0x00000008 INTL 0x02002026) @ 0x00000000
[    0.000000] Nvidia board detected. Ignoring ACPI timer override.
[    0.000000] If you got timer trouble try acpi_use_timer_override
[    0.000000] Nvidia board detected. Ignoring ACPI timer override.
[    0.000000] If you got timer trouble try acpi_use_timer_override
[    0.000000] Nvidia board detected. Ignoring ACPI timer override.
[    0.000000] If you got timer trouble try acpi_use_timer_override
[    0.000000] ACPI: PM-Timer IO Port: 0x4008
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
[    0.000000] Processor #0 15:15 APIC version 16
[    0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x81] disabled)
[    0.000000] ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
[    0.000000] IOAPIC[0]: apic_id 1, version 17, address 0xfec00000, GSI 0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: BIOS IRQ0 pin2 override ignored.
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 14 global_irq 14 high edge)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 15 global_irq 15 high edge)
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] ACPI: IRQ14 used by override.
[    0.000000] ACPI: IRQ15 used by override.
[    0.000000] Enabling APIC mode:  Flat.  Using 1 I/O APICs
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] Allocating PCI resources starting at 40000000 (gap: 3c000000:c2c00000)
[    0.000000] Detected 2405.027 MHz processor.
[   19.719599] Built 1 zonelists.  Total pages: 243761
[   19.719601] Kernel command line: root=UUID=6c70fe64-e883-4ce7-abbb-ebb3db9cadc0 ro quiet splash
[   19.719707] mapped APIC to ffffd000 (fee00000)
[   19.719709] mapped IOAPIC to ffffc000 (fec00000)
[   19.719711] Enabling fast FPU save and restore... done.
[   19.719713] Enabling unmasked SIMD FPU exception support... done.
[   19.719719] Initializing CPU#0
[   19.719762] PID hash table entries: 4096 (order: 12, 16384 bytes)
[   19.719825] spurious 8259A interrupt: IRQ7.
[   19.722833] Console: colour VGA+ 80x25
[   19.723131] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[   19.723449] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[   19.737531] Memory: 963132k/982720k available (1992k kernel code, 18920k reserved, 893k data, 328k init, 65216k highmem)
[   19.737539] virtual kernel memory layout:
[   19.737539]     fixmap  : 0xfff4e000 - 0xfffff000   ( 708 kB)
[   19.737541]     pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
[   19.737542]     vmalloc : 0xf8800000 - 0xff7fe000   ( 111 MB)
[   19.737542]     lowmem  : 0xc0000000 - 0xf8000000   ( 896 MB)
[   19.737543]       .init : 0xc03d7000 - 0xc0429000   ( 328 kB)
[   19.737544]       .data : 0xc02f2264 - 0xc03d16d4   ( 893 kB)
[   19.737545]       .text : 0xc0100000 - 0xc02f2264   (1992 kB)
[   19.737548] Checking if this processor honours the WP bit even in supervisor mode... Ok.
[   19.815599] Calibrating delay using timer specific routine.. 4814.29 BogoMIPS (lpj=9628598)
[   19.815630] Security Framework v1.0.0 initialized
[   19.815635] SELinux:  Disabled at boot.
[   19.815646] Mount-cache hash table entries: 512
[   19.815750] CPU: After generic identify, caps: 078bfbff ebd3fbff 00000000 00000000 00002001 00000000 0000001d
[   19.815757] CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
[   19.815759] CPU: L2 Cache: 512K (64 bytes/line)
[   19.815761] CPU: After all inits, caps: 078bfbff ebd3fbff 00000000 00000410 00002001 00000000 0000001d
[   19.815769] Compat vDSO mapped to ffffe000.
[   19.815772] Remapping vsyscall page to ffffe000
[   19.815780] Checking 'hlt' instruction... OK.
[   19.831685] SMP alternatives: switching to UP code
[   19.831853] Freeing SMP alternatives: 11k freed
[   19.832017] Early unpacking initramfs... done
[   20.062249] ACPI: Core revision 20060707
[   20.062658] ACPI: Looking for DSDT in initramfs... file /DSDT.aml not found, using machine DSDT.
[   20.064459] CPU0: AMD Athlon(tm) 64 Processor 3800+ stepping 02
[   20.064472] Total of 1 processors activated (4814.29 BogoMIPS).
[   20.064771] ENABLING IO-APIC IRQs
[   20.065003] ..TIMER: vector=0x31 apic1=0 pin1=0 apic2=-1 pin2=-1
[   20.210925] Brought up 1 CPUs
[   20.211114] Booting paravirtualized kernel on bare hardware
[   20.211169] Time: 10:06:50  Date: 04/02/107
[   20.211191] NET: Registered protocol family 16
[   20.211258] EISA bus registered
[   20.211261] ACPI: bus type pci registered
[   20.211896] PCI: PCI BIOS revision 3.00 entry at 0xf0031, last bus=3
[   20.211897] PCI: Using configuration type 1
[   20.211899] Setting up standard PCI resources
[   20.220127] ACPI: Interpreter enabled
[   20.220130] ACPI: Using IOAPIC for interrupt routing
[   20.220491] ACPI: PCI Root Bridge [PCI0] (0000:00)
[   20.220496] PCI: Probing PCI hardware (bus 00)
[   20.220829] Boot video device is 0000:00:05.0
[   20.221444] PCI: Transparent bridge - 0000:00:10.0
[   20.221467] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[   20.234371] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P9._PRT]
[   20.234672] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0PA._PRT]
[   20.238072] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P1._PRT]
[   20.239105] ACPI: PCI Interrupt Link [LNKA] (IRQs 16 17 18 19) *11
[   20.239449] ACPI: PCI Interrupt Link [LNKB] (IRQs 16 17 18 19) *0, disabled.
[   20.239790] ACPI: PCI Interrupt Link [LNKC] (IRQs 16 17 18 19) *11
[   20.240130] ACPI: PCI Interrupt Link [LNKD] (IRQs 16 17 18 19) *0, disabled.
[   20.240470] ACPI: PCI Interrupt Link [LNEA] (IRQs 16 17 18 19) *0, disabled.
[   20.240811] ACPI: PCI Interrupt Link [LNEB] (IRQs 16 17 18 19) *0, disabled.
[   20.241151] ACPI: PCI Interrupt Link [LNEC] (IRQs 16 17 18 19) *11
[   20.241491] ACPI: PCI Interrupt Link [LNED] (IRQs 16 17 18 19) *0, disabled.
[   20.241835] ACPI: PCI Interrupt Link [LUB0] (IRQs 20 21 22 23) *11
[   20.242175] ACPI: PCI Interrupt Link [LUB2] (IRQs 20 21 22 23) *11
[   20.242516] ACPI: PCI Interrupt Link [LMAC] (IRQs 20 21 22 23) *11
[   20.242889] ACPI: PCI Interrupt Link [LAZA] (IRQs 20 21 22 23) *0, disabled.
[   20.243230] ACPI: PCI Interrupt Link [LACI] (IRQs 20 21 22 23) *0, disabled.
[   20.243571] ACPI: PCI Interrupt Link [LMC9] (IRQs 20 21 22 23) *0, disabled.
[   20.243910] ACPI: PCI Interrupt Link [LSMB] (IRQs 20 21 22 23) *7
[   20.244250] ACPI: PCI Interrupt Link [LPMU] (IRQs 20 21 22 23) *5
[   20.244605] ACPI: PCI Interrupt Link [LSA0] (IRQs 20 21 22 23) *10
[   20.244953] ACPI: PCI Interrupt Link [LSA1] (IRQs 20 21 22 23) *0, disabled.
[   20.245349] ACPI: PCI Interrupt Link [LATA] (IRQs 20 21 22 23) *0, disabled.
[   20.245413] Linux Plug and Play Support v0.97 (c) Adam Belay
[   20.245423] pnp: PnP ACPI init
[   20.249416] pnp: PnP ACPI: found 10 devices
[   20.249421] PnPBIOS: Disabled by ACPI PNP
[   20.249456] PCI: Using ACPI for IRQ routing
[   20.249459] PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
[   20.259079] NET: Registered protocol family 8
[   20.259080] NET: Registered protocol family 20
[   20.260083] pnp: 00:07: ioport range 0x290-0x29f has been reserved
[   20.260244] PCI: Bridge: 0000:00:03.0
[   20.260245]   IO window: disabled.
[   20.260248]   MEM window: disabled.
[   20.260250]   PREFETCH window: disabled.
[   20.260252] PCI: Bridge: 0000:00:04.0
[   20.260253]   IO window: disabled.
[   20.260255]   MEM window: disabled.
[   20.260256]   PREFETCH window: disabled.
[   20.260259] PCI: Bridge: 0000:00:10.0
[   20.260261]   IO window: e000-efff
[   20.260264]   MEM window: feb00000-febfffff
[   20.260266]   PREFETCH window: disabled.
[   20.260276] PCI: Setting latency timer of device 0000:00:03.0 to 64
[   20.260282] PCI: Setting latency timer of device 0000:00:04.0 to 64
[   20.260288] PCI: Setting latency timer of device 0000:00:10.0 to 64
[   20.260310] NET: Registered protocol family 2
[   20.298800] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[   20.298926] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[   20.299631] TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
[   20.300010] TCP: Hash tables configured (established 131072 bind 65536)
[   20.300012] TCP reno registered
[   20.310821] checking if image is initramfs... it is
[   20.764671] Freeing initrd memory: 6750k freed
[   20.764976] audit: initializing netlink socket (disabled)
[   20.764986] audit(1178100410.128:1): initialized
[   20.765029] highmem bounce pool size: 64 pages
[   20.765079] VFS: Disk quotas dquot_6.5.1
[   20.765093] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[   20.765135] io scheduler noop registered
[   20.765137] io scheduler anticipatory registered
[   20.765139] io scheduler deadline registered
[   20.765146] io scheduler cfq registered (default)
[   21.201244] PCI: Setting latency timer of device 0000:00:03.0 to 64
[   21.201262] assign_interrupt_mode Found MSI capability
[   21.201265] Allocate Port Service[0000:00:03.0:pcie00]
[   21.201310] PCI: Setting latency timer of device 0000:00:04.0 to 64
[   21.201327] assign_interrupt_mode Found MSI capability
[   21.201329] Allocate Port Service[0000:00:04.0:pcie00]
[   21.201408] isapnp: Scanning for PnP cards...
[   21.553746] isapnp: No Plug & Play device found
[   21.570219] Real Time Clock Driver v1.12ac
[   21.570253] Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
[   21.570715] mice: PS/2 mouse device common for all mice
[   21.571062] RAMDISK driver initialized: 16 RAM disks of 65536K size 1024 blocksize
[   21.571218] input: Macintosh mouse button emulation as /class/input/input0
[   21.571238] Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
[   21.571241] ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
[   21.571408] PNP: No PS/2 controller found. Probing ports directly.
[   21.574648] serio: i8042 KBD port at 0x60,0x64 irq 1
[   21.574652] serio: i8042 AUX port at 0x60,0x64 irq 12
[   21.574745] EISA: Probing bus 0 at eisa.0
[   21.574754] Cannot allocate resource for EISA slot 2
[   21.574758] Cannot allocate resource for EISA slot 4
[   21.574760] Cannot allocate resource for EISA slot 5
[   21.574761] Cannot allocate resource for EISA slot 6
[   21.574767] EISA: Detected 0 cards.
[   21.604787] TCP cubic registered
[   21.604793] NET: Registered protocol family 1
[   21.604809] Using IPI No-Shortcut mode
[   21.604853] ACPI: (supports S0 S1 S3 S4 S5)
[   21.604892]   Magic number: 7:266:122
[   21.605200] Freeing unused kernel memory: 328k freed
[   21.608425] Time: tsc clocksource has been installed.
[   22.800063] Capability LSM initialized
[   22.832541] ACPI Exception (acpi_processor-0677): AE_NOT_FOUND, Processor Device is not present [20060707]
[   23.284504] usbcore: registered new interface driver usbfs
[   23.284527] usbcore: registered new interface driver hub
[   23.284543] usbcore: registered new device driver usb
[   23.285033] ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
[   23.285424] ACPI: PCI Interrupt Link [LUB0] enabled at IRQ 23
[   23.285436] ACPI: PCI Interrupt 0000:00:0b.0[A] -> Link [LUB0] -> GSI 23 (level, low) -> IRQ 16
[   23.285446] PCI: Setting latency timer of device 0000:00:0b.0 to 64
[   23.285448] ohci_hcd 0000:00:0b.0: OHCI Host Controller
[   23.285583] ohci_hcd 0000:00:0b.0: new USB bus registered, assigned bus number 1
[   23.285600] ohci_hcd 0000:00:0b.0: irq 16, io mem 0xfeade000
[   23.319206] forcedeth.c: Reverse Engineered nForce ethernet driver. Version 0.59.
[   23.347498] usb usb1: configuration #1 chosen from 1 choice
[   23.347519] hub 1-0:1.0: USB hub found
[   23.347530] hub 1-0:1.0: 8 ports detected
[   23.453573] ACPI: PCI Interrupt Link [LUB2] enabled at IRQ 22
[   23.453584] ACPI: PCI Interrupt 0000:00:0b.1[B] -> Link [LUB2] -> GSI 22 (level, low) -> IRQ 17
[   23.453595] PCI: Setting latency timer of device 0000:00:0b.1 to 64
[   23.453598] ehci_hcd 0000:00:0b.1: EHCI Host Controller
[   23.453615] ehci_hcd 0000:00:0b.1: new USB bus registered, assigned bus number 2
[   23.453639] ehci_hcd 0000:00:0b.1: debug port 1
[   23.453642] PCI: cache line size of 64 is not supported by device 0000:00:0b.1
[   23.453653] ehci_hcd 0000:00:0b.1: irq 17, io mem 0xfeadfc00
[   23.453660] ehci_hcd 0000:00:0b.1: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
[   23.453709] usb usb2: configuration #1 chosen from 1 choice
[   23.453728] hub 2-0:1.0: USB hub found
[   23.453734] hub 2-0:1.0: 8 ports detected
[   23.561296] NFORCE-MCP51: IDE controller at PCI slot 0000:00:0d.0
[   23.561317] NFORCE-MCP51: chipset revision 161
[   23.561319] NFORCE-MCP51: not 100% native mode: will probe irqs later
[   23.561325] NFORCE-MCP51: 0000:00:0d.0 (rev a1) UDMA133 controller
[   23.561332]     ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:pio
[   23.561341]     ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:pio, hdd:pio
[   23.561347] Probing IDE interface ide0...
[   23.852391] hda: WDC WD400BB-00JHA0, ATA DISK drive
[   24.411274] usb 1-1: new low speed USB device using ohci_hcd and address 2
[   24.523187] ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
[   24.536168] Probing IDE interface ide1...
[   24.616142] usb 1-1: configuration #1 chosen from 1 choice
[   24.926340] usb 1-2: new low speed USB device using ohci_hcd and address 3
[   25.110232] SCSI subsystem initialized
[   25.113616] libata version 2.20 loaded.
[   25.116121] sata_nv 0000:00:0e.0: version 3.3
[   25.116488] ACPI: PCI Interrupt Link [LSA0] enabled at IRQ 21
[   25.116499] ACPI: PCI Interrupt 0000:00:0e.0[A] -> Link [LSA0] -> GSI 21 (level, low) -> IRQ 18
[   25.116516] PCI: Setting latency timer of device 0000:00:0e.0 to 64
[   25.116557] ata1: SATA max UDMA/133 cmd 0x0001d800 ctl 0x0001d482 bmdma 0x0001d000 irq 18
[   25.116579] ata2: SATA max UDMA/133 cmd 0x0001d400 ctl 0x0001d082 bmdma 0x0001d008 irq 18
[   25.116591] scsi0 : sata_nv
[   25.129223] usb 1-2: configuration #1 chosen from 1 choice
[   25.132252] usbcore: registered new interface driver hiddev
[   25.137250] input: NOVATEK USB Keyboard as /class/input/input1
[   25.137264] input: USB HID v1.10 Keyboard [NOVATEK USB Keyboard] on usb-0000:00:0b.0-1
[   25.151169] input: NOVATEK USB Keyboard as /class/input/input2
[   25.151204] input,hiddev96: USB HID v1.10 Device [NOVATEK USB Keyboard] on usb-0000:00:0b.0-1
[   25.156150] input: USB OpticalWheel Mouse as /class/input/input3
[   25.156162] input: USB HID v1.10 Mouse [USB OpticalWheel Mouse] on usb-0000:00:0b.0-2
[   25.156169] usbcore: registered new interface driver usbhid
[   25.156172] drivers/usb/input/hid-core.c: v2.6:USB HID core driver
[   25.429427] ata1: SATA link down (SStatus 0 SControl 300)
[   25.439835] ATA: abnormal status 0x7F on port 0x0001d807
[   25.439852] scsi1 : sata_nv
[   25.908574] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[   26.112363] ata2.00: ATAPI, max UDMA/33
[   26.112365] ata2.00: applying bridge limits
[   26.319961] ata2.00: configured for UDMA/33
[   26.321434] scsi 1:0:0:0: CD-ROM            TSSTcorp CD/DVDW SH-W163A TS01 PQ: 0 ANSI: 5
[   26.322983] ACPI: PCI Interrupt Link [LMAC] enabled at IRQ 20
[   26.322994] ACPI: PCI Interrupt 0000:00:14.0[A] -> Link [LMAC] -> GSI 20 (level, low) -> IRQ 19
[   26.323000] PCI: Setting latency timer of device 0000:00:14.0 to 64
[   26.323005] forcedeth: using HIGHDMA
[   26.328398] hda: max request size: 128KiB
[   26.336340] hda: 78165360 sectors (40020 MB) w/2048KiB Cache, CHS=65535/16/63, UDMA(100)
[   26.336447] hda: cache flushes supported
[   26.336484]  hda: hda1 hda2 <sr0: scsi3-mmc drive: 48x/48x writer cd/rw xa/form2 cdda tray
[   26.346925] Uniform CD-ROM driver Revision: 3.20
[   26.347047] sr 1:0:0:0: Attached scsi CD-ROM sr0
[   26.350377] sr 1:0:0:0: Attached scsi generic sg0 type 5
[   26.361165]  hda5 >
[   26.616846] Attempting manual resume
[   26.616849] swsusp: Resume From Partition 3:5
[   26.616851] PM: Checking swsusp image.
[   26.616999] PM: Resume from disk failed.
[   26.649951] kjournald starting.  Commit interval 5 seconds
[   26.649960] EXT3-fs: mounted filesystem with ordered data mode.
[   26.843116] eth0: forcedeth.c: subsystem: 01849:0269 bound to 0000:00:14.0
[   37.375393] i2c_adapter i2c-0: nForce2 SMBus adapter at 0x5000
[   37.375415] i2c_adapter i2c-1: nForce2 SMBus adapter at 0x6000
[   37.442792] ath_hal: module license 'Proprietary' taints kernel.
[   37.443291] ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
[   37.560428] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[   37.563269] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[   37.775891] wlan: 0.8.4.2 (0.9.3)
[   37.793372] ath_pci: 0.9.4.5 (0.9.3)
[   37.793785] ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 19
[   37.793796] ACPI: PCI Interrupt 0000:03:08.0[A] -> Link [LNKA] -> GSI 19 (level, low) -> IRQ 20
[   37.797835] wifi%d: unable to attach hardware: 'Hardware didn't respond as expected' (HAL status 3)
[   37.797848] ACPI: PCI interrupt for device 0000:03:08.0 disabled
[   37.867045] gameport: EMU10K1 is pci0000:03:0a.1/gameport0, io 0xec00, speed 1084kHz
[   37.874460] Linux agpgart interface v0.102 (c) Dave Jones
[   37.960326] input: PC Speaker as /class/input/input4
[   38.024138] usbcore: registered new interface driver xpad
[   38.024142] drivers/usb/input/xpad.c: driver for Xbox controllers v0.1.6
[   38.432242] ACPI: PCI Interrupt Link [LNEC] enabled at IRQ 18
[   38.432255] ACPI: PCI Interrupt 0000:00:05.0[A] -> Link [LNEC] -> GSI 18 (level, low) -> IRQ 21
[   38.432263] PCI: Setting latency timer of device 0000:00:05.0 to 64
[   38.432481] NVRM: loading NVIDIA Linux x86 Kernel Module  1.0-9631  Thu Nov  9 17:38:10 PST 2006
[   38.657446] ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 17
[   38.657466] ACPI: PCI Interrupt 0000:03:0a.0[A] -> Link [LNKC] -> GSI 17 (level, low) -> IRQ 22
[   38.845979] lp: driver loaded but no devices found
[   38.868512] fuse init (API version 7.8)
[   38.897245] Adding 1614492k swap on /dev/disk/by-uuid/b7706969-c489-4189-bf34-fb6ef5e83623.  Priority:-1 extents:1 across:1614492k
[   38.951681] EXT3 FS on hda1, internal journal
[   40.461349] NET: Registered protocol family 17
[   42.263744] input: Power Button (FF) as /class/input/input5
[   42.266781] ACPI: Power Button (FF) [PWRF]
[   42.293855] input: Power Button (CM) as /class/input/input6
[   42.296852] ACPI: Power Button (CM) [PWRB]
[   42.309675] Using specific hotkey driver
[   42.337995] No dock devices found.
[   42.376981] ibm_acpi: ec object not found
[   42.480123] pcc_acpi: loading...
[   42.671651] powernow-k8: Found 1 AMD Athlon(tm) 64 Processor 3800+ processors (version 2.00.00)
[   42.671689] powernow-k8:    0 : fid 0x10 (2400 MHz), vid 0x8
[   42.671691] powernow-k8:    1 : fid 0xe (2200 MHz), vid 0xa
[   42.671693] powernow-k8:    2 : fid 0xc (2000 MHz), vid 0xc
[   42.671694] powernow-k8:    3 : fid 0xa (1800 MHz), vid 0xe
[   42.671696] powernow-k8:    4 : fid 0x2 (1000 MHz), vid 0x12
[   47.423433] **WARNING** I2C adapter driver [NVIDIA i2c adapter 0 at 0:05.0] forgot to specify physical device; fix it!
[   47.425127] **WARNING** I2C adapter driver [NVIDIA i2c adapter 1 at 0:05.0] forgot to specify physical device; fix it!
[   47.426794] **WARNING** I2C adapter driver [NVIDIA i2c adapter 2 at 0:05.0] forgot to specify physical device; fix it!
[   48.061285] ppdev: user-space parallel port driver
[   52.212891] apm: BIOS version 1.2 Flags 0x02 (Driver version 1.16ac)
[   52.212895] apm: overridden by ACPI.
[   35.624000] Time: acpi_pm clocksource has been installed.
[   35.772000] NET: Registered protocol family 10
[   35.772000] lo: Disabled Privacy Extensions
[   36.052000] Bluetooth: Core ver 2.11
[   36.052000] NET: Registered protocol family 31
[   36.052000] Bluetooth: HCI device and connection manager initialized
[   36.052000] Bluetooth: HCI socket layer initialized
[   36.168000] Bluetooth: L2CAP ver 2.8
[   36.168000] Bluetooth: L2CAP socket layer initialized
[   36.288000] Bluetooth: RFCOMM socket layer initialized
[   36.288000] Bluetooth: RFCOMM TTY layer initialized
[   36.288000] Bluetooth: RFCOMM ver 1.8
[   46.720000] eth0: no IPv6 routers present

05/16/07 14:38:19 changed by stu_Edgar@yahoo.com.au

I'm having same problems with a AR5005G in Ubuntu Feisty i.e. connect sand then drops out. I didn't have these problems with 6.06 with had old madwifi I think. One issue I notice is that 0.9.3 says: ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413) which doesn't include 5005! If there is a way to go back to old madwifi I'd be keen to know it! Thanks Stu

(follow-up: ↓ 20 ) 05/27/07 17:50:28 changed by jpritikin@pobox.com

I installed Ubuntu 7.04 (Fiesty) on a lark. I was astonished to see it detect my card. I will attach dmesg output. A few minutes of testing indicates that wifi is working smoothly.

05/27/07 17:52:17 changed by jpritikin@pobox.com

  • attachment dm added.

dmesg output (plain text)

(in reply to: ↑ 19 ) 05/28/07 11:13:34 changed by mrenzmann

Replying to jpritikin@pobox.com:

I installed Ubuntu 7.04 (Fiesty) on a lark.

Feisty comes with MadWifi v0.9.3, while you were using v0.9.2 (according to the posting linked in the ticket description) before. Which suggests that upgrading to the latest release on your original system should fix this issue there, too.

(follow-up: ↓ 23 ) 05/29/07 19:43:13 changed by jpritikin@pobox.com

You really need an announcement mailing list for new releases. I had no idea that 0.9.3 got released. As you suspected, everything started working after I upgraded to 0.9.3. I guess you can close this bug although I am interested in testing OpenHAL when you think it's ready. Thanks!!

05/30/07 06:24:21 changed by jpritikin@pobox.com

Yesterday, everything was working but today I'm getting that HAL 13 error again with madwifi 0.9.3.1! I can't understand because I didn't change anything. Back to the drawing board?

(in reply to: ↑ 21 ) 05/30/07 06:25:19 changed by mrenzmann

Replying to jpritikin@pobox.com:

You really need an announcement mailing list for new releases.

Good idea, I've started to create the list now, but it will take another 6 to 24 hours until the list is actually available. Check the subscription page to see whether the list is fully available.

05/30/07 15:32:45 changed by jpritikin@pobox.com

ndiswrapper in Debian continues to work fine indicating that the device is OK. However, both Ubuntu w/ madwifi 0.9.3 and Debian w/ madwifi 0.9.3.1 suddenly stopped working with HAL error #13. Very strange.

07/11/07 15:34:33 changed by chuma@chuma.org

Reporting about Fedora Core 7, Acer TravelMate? 2310 series (specifically: 2312LCi_L)

Kernel rev is 2.6.21-1.3228

Wireless card is identified as AR5005G [168c:001a], subsystem AMBit Microsystem unknown device [1468:0418]

RPMs from ATrpms for this kernel (Madwifi 0.9.4-38 r2512) gave HAL 13 errors as described. Compiling 0.9.4.1, 0.9.4, and latest snapshot (r2568-20070710) all gave same HAL 13 error.

Compiling and installing from 0.9.3 tarball, however, did work.

07/18/07 03:15:48 changed by chuma@chuma.org

An update on my TM2310... with the wireless enable/disable button on the front of this laptop I can recreate the HAL 13 error every time. The WiFi status light is always on, but pressing the button does seem to stop the radio from working. Pressing the button again and re-loading the ath_pci module gets things working again. Strange.

07/26/07 01:58:27 changed by mentor

  • priority changed from major to minor.
  • summary changed from hal #13 error with AR5005G on Acer Travelmate 2310 to Hardware Support: AR5005G - Acer Travelmate 2310.

08/02/07 15:28:54 changed by chuma@chuma.org

Another update... Just upgraded FC7 to kernel 2.6.11.1-41. Installed madwifi and kmod-madwifi version 0.9.3.1 packages from livna.org. Works fine. WiFi button still behaves as described previously.

09/13/07 20:20:09 changed by jdk_lalo@yahoo.es

I had my card working with fedora 7, but installed VMWARE, and it crashes, so don't activate the emulation of ath0 in vmware. JUst and advise.

09/14/07 08:51:41 changed by jdk_lalo@yahoo.es

So, Is there some one with an ACER TRAVELMATE 2310 usig FEDORA 7, who can tellme how to successfully install madwifi-0.9.3.2.tar.bz2 in my laptop with the 2.6.21-1.3194.fc7 kernel?

I did this but didn't work:

sudo yum install xinetd sudo yum install compat-libstdc++-33 sudo yum install compat-gcc-34 compat-gcc-34-c++ sudo yum install pearl

// I alredy have the kernel-devel

sudo tar -xvjf madwifi-0.9.3.2.tar.bz2 cd madwifi-0.9.3.2 sudo make sudo make install sudo modprobe ath_pci //Nothing happens

//NO errors and NO warnings but no ath0 either.

su - Password:

iwconfig lo no wireless extensions. eth0 no wireless extensions. virbr0 no wireless extensions.

ath0 up -bash: ath0: command not found

I just can't make it work. Is something else that I can do? or what more things should I install? Something to edit?


ifconfig eth0 Link encap:Ethernet HWaddr 00:C0:9F:C4:06:A6

inet addr:192.168.1.65 Bcast:192.168.1.255 Mask:255.255.255.0 inet6 addr: fe80::2c0:9fff:fec4:6a6/64 Scope:Link UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1 RX packets:2807 errors:0 dropped:0 overruns:0 frame:0 TX packets:1834 errors:0 dropped:0 overruns:0 carrier:0 collisions:0 txqueuelen:1000 RX bytes:821356 (802.1 KiB) TX bytes:188318 (183.9 KiB) Interrupt:16 Base address:0x2000

lo Link encap:Local Loopback

inet addr:127.0.0.1 Mask:255.0.0.0 inet6 addr: ::1/128 Scope:Host UP LOOPBACK RUNNING MTU:16436 Metric:1 RX packets:3228 errors:0 dropped:0 overruns:0 frame:0 TX packets:3228 errors:0 dropped:0 overruns:0 carrier:0 collisions:0 txqueuelen:0 RX bytes:13282372 (12.6 MiB) TX bytes:13282372 (12.6 MiB)

virbr0 Link encap:Ethernet HWaddr 00:00:00:00:00:00

inet addr:192.168.122.1 Bcast:192.168.122.255 Mask:255.255.255.0 inet6 addr: fe80::200:ff:fe00:0/64 Scope:Link UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1 RX packets:0 errors:0 dropped:0 overruns:0 frame:0 TX packets:41 errors:0 dropped:0 overruns:0 carrier:0 collisions:0 txqueuelen:0 RX bytes:0 (0.0 b) TX bytes:8378 (8.1 KiB)


lspci 00:00.0 Host bridge: Silicon Integrated Systems [SiS] 661FX/M661FX/M661MX Host (rev 11) 00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SiS AGP Port (virtual PCI-to-PCI bridge) 00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS963 [MuTIOL Media IO] (rev 25) 00:02.1 SMBus: Silicon Integrated Systems [SiS] SiS961/2 SMBus Controller 00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] 00:02.6 Modem: Silicon Integrated Systems [SiS] AC'97 Modem Controller (rev a0) 00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] AC'97 Sound Controller (rev a0) 00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f) 00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f) 00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller 00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fast Ethernet (rev 91) 00:06.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller (rev 02) 00:0b.0 Ethernet controller: Atheros Communications, Inc. AR5005G 802.11abg NIC (rev 01) 01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 661/741/760 PCI/AGP or 662/761Gx PCIE VGA Display Adapter


And I already try this too:

yum install madwifi madwifi-kmdl-uname -r

And after that my computer crashes, because with the dependencys comes a kernel-update, a total disaster and a lot of wasted time.

So I ask again: Is something else that I can do? Or what more things should I install? Or Something to edit? What?

And one last thing, Where or how can I check this enabled disabled stuff? Kernel 2.6.x:

  • Loadable module support → Module versioning support: disabled
  • Device Drivers → Network device support → Wireless LAN (non-hamradio) → Wireless LAN drivers (non-hamradio) & Wireless Extensions: enabled (NOTE: in kernel v2.6.22.2 (and probably some previous ones) it is located in Networking → Wireless → Wireless extensions)
  • Cryptographic options → Cryptographic API: enabled
  • Cryptographic options → Cryptographic API → HMAC support: enabled
  • Cryptographic options → Cryptographic API → AES cipher algorithm: enabled (optional, needed for WPA/WPA2 with CCMP)

I need dome help, or some clue. And Sorry for my bad English.

09/14/07 09:56:34 changed by I made it jdk_lalo@yahoo.es

I made it work!! I really don't know exactly how I resolve the problem but I did this:

sudo yum install ndiswrapper wifi-radar wifiroamd wireless-tools wpa_supplicant sudo gedit /etc/modprobe.conf

//should look like this: alias eth0 sis900 alias scsi_hostadapter pata_sis alias snd-card-0 snd-intel8x0 options snd-card-0 index=0 options snd-intel8x0 index=0 alias ath0 ath_pci options ath_pci autocreate=sta

reboot your system and you will see your card, ready to configure!!

10/02/07 22:52:45 changed by anonymous

Hi my card is not working any more, that's strange. It worked for 2 weeks and then my ath0 dissapeared.

10/03/07 00:22:26 changed by mentor

#1560 may contain pertinent info.

09/28/08 12:40:20 changed by anonymous

Hey everyone, I realize I'm just regurgitating what's been said here already, but my 5005G card quit working unexpectedly, and after a series of troubleshooting (swapped network cards with another machine which has an identical card) finally found that the card itself was fine.

Sure enough, as mentioned above, toggling the wifi switch, unloading ath_pci and a modprobe ath_pci resolved the issue. My wifi light is always on, regardless of what I do to the switch. It was frustrating, but I hope other people get the same helpful advice :) If your wifi stops working unexpectedly, check for a wifi switch, or a keyboard shortcut to enable/disable your wifi.

Good luck to anyone else with similar issues :)